container  v1
Classes | Public Member Functions | Properties | List of all members
Google.Apis.Container.v1.ProjectsResource.LocationsResource.ClustersResource Class Reference

The "clusters" collection of methods. More...

Classes

class  CompleteIpRotationRequest
 Completes master IP rotation. More...
 
class  CreateRequest
 Creates a cluster, consisting of the specified number and type of Google Compute Engine instances. More...
 
class  DeleteRequest
 Deletes the cluster, including the Kubernetes endpoint and all worker nodes. More...
 
class  GetJwksRequest
 Gets the public component of the cluster signing keys in JSON Web Key format. This API is not yet intended for general use, and is not available for all clusters. More...
 
class  GetRequest
 Gets the details of a specific cluster. More...
 
class  ListRequest
 Lists all clusters owned by a project in either the specified zone or all zones. More...
 
class  NodePoolsResource
 The "nodePools" collection of methods. More...
 
class  SetAddonsRequest
 Sets the addons for a specific cluster. More...
 
class  SetLegacyAbacRequest
 Enables or disables the ABAC authorization mechanism on a cluster. More...
 
class  SetLocationsRequest
 Sets the locations for a specific cluster. Deprecated. Use projects.locations.clusters.update instead. More...
 
class  SetLoggingRequest
 Sets the logging service for a specific cluster. More...
 
class  SetMaintenancePolicyRequest
 Sets the maintenance policy for a cluster. More...
 
class  SetMasterAuthRequest
 Sets master auth materials. Currently supports changing the admin password or a specific cluster, either via password generation or explicitly setting the password. More...
 
class  SetMonitoringRequest
 Sets the monitoring service for a specific cluster. More...
 
class  SetNetworkPolicyRequest
 Enables or disables Network Policy for a cluster. More...
 
class  SetResourceLabelsRequest
 Sets labels on a cluster. More...
 
class  StartIpRotationRequest
 Starts master IP rotation. More...
 
class  UpdateMasterRequest
 Updates the master for a specific cluster. More...
 
class  UpdateRequest
 Updates the settings of a specific cluster. More...
 
class  WellKnownResource
 The "well-known" collection of methods. More...
 

Public Member Functions

 ClustersResource (Google.Apis.Services.IClientService service)
 Constructs a new resource. More...
 
virtual CompleteIpRotationRequest CompleteIpRotation (Google.Apis.Container.v1.Data.CompleteIPRotationRequest body, string name)
 Completes master IP rotation. More...
 
virtual CreateRequest Create (Google.Apis.Container.v1.Data.CreateClusterRequest body, string parent)
 Creates a cluster, consisting of the specified number and type of Google Compute Engine instances. More...
 
virtual DeleteRequest Delete (string name)
 Deletes the cluster, including the Kubernetes endpoint and all worker nodes. More...
 
virtual GetRequest Get (string name)
 Gets the details of a specific cluster. More...
 
virtual GetJwksRequest GetJwks (string parent)
 Gets the public component of the cluster signing keys in JSON Web Key format. This API is not yet intended for general use, and is not available for all clusters. More...
 
virtual ListRequest List (string parent)
 Lists all clusters owned by a project in either the specified zone or all zones. More...
 
virtual SetAddonsRequest SetAddons (Google.Apis.Container.v1.Data.SetAddonsConfigRequest body, string name)
 Sets the addons for a specific cluster. More...
 
virtual SetLegacyAbacRequest SetLegacyAbac (Google.Apis.Container.v1.Data.SetLegacyAbacRequest body, string name)
 Enables or disables the ABAC authorization mechanism on a cluster. More...
 
virtual SetLocationsRequest SetLocations (Google.Apis.Container.v1.Data.SetLocationsRequest body, string name)
 Sets the locations for a specific cluster. Deprecated. Use projects.locations.clusters.update instead. More...
 
virtual SetLoggingRequest SetLogging (Google.Apis.Container.v1.Data.SetLoggingServiceRequest body, string name)
 Sets the logging service for a specific cluster. More...
 
virtual SetMaintenancePolicyRequest SetMaintenancePolicy (Google.Apis.Container.v1.Data.SetMaintenancePolicyRequest body, string name)
 Sets the maintenance policy for a cluster. More...
 
virtual SetMasterAuthRequest SetMasterAuth (Google.Apis.Container.v1.Data.SetMasterAuthRequest body, string name)
 Sets master auth materials. Currently supports changing the admin password or a specific cluster, either via password generation or explicitly setting the password. More...
 
virtual SetMonitoringRequest SetMonitoring (Google.Apis.Container.v1.Data.SetMonitoringServiceRequest body, string name)
 Sets the monitoring service for a specific cluster. More...
 
virtual SetNetworkPolicyRequest SetNetworkPolicy (Google.Apis.Container.v1.Data.SetNetworkPolicyRequest body, string name)
 Enables or disables Network Policy for a cluster. More...
 
virtual SetResourceLabelsRequest SetResourceLabels (Google.Apis.Container.v1.Data.SetLabelsRequest body, string name)
 Sets labels on a cluster. More...
 
virtual StartIpRotationRequest StartIpRotation (Google.Apis.Container.v1.Data.StartIPRotationRequest body, string name)
 Starts master IP rotation. More...
 
virtual UpdateRequest Update (Google.Apis.Container.v1.Data.UpdateClusterRequest body, string name)
 Updates the settings of a specific cluster. More...
 
virtual UpdateMasterRequest UpdateMaster (Google.Apis.Container.v1.Data.UpdateMasterRequest body, string name)
 Updates the master for a specific cluster. More...
 

Properties

virtual NodePoolsResource NodePools [get]
 Gets the NodePools resource. More...
 
virtual WellKnownResource WellKnown [get]
 Gets the WellKnown resource. More...
 

Detailed Description

The "clusters" collection of methods.

Constructor & Destructor Documentation

◆ ClustersResource()

Google.Apis.Container.v1.ProjectsResource.LocationsResource.ClustersResource.ClustersResource ( Google.Apis.Services.IClientService  service)
inline

Constructs a new resource.

Member Function Documentation

◆ CompleteIpRotation()

virtual CompleteIpRotationRequest Google.Apis.Container.v1.ProjectsResource.LocationsResource.ClustersResource.CompleteIpRotation ( Google.Apis.Container.v1.Data.CompleteIPRotationRequest  body,
string  name 
)
inlinevirtual

Completes master IP rotation.

Parameters
bodyThe body of the request.
nameThe name (project, location, cluster id) of the cluster to complete IP rotation. Specified in the format 'projects/locations/clusters'.

◆ Create()

virtual CreateRequest Google.Apis.Container.v1.ProjectsResource.LocationsResource.ClustersResource.Create ( Google.Apis.Container.v1.Data.CreateClusterRequest  body,
string  parent 
)
inlinevirtual

Creates a cluster, consisting of the specified number and type of Google Compute Engine instances.

By default, the cluster is created in the project's default network.

One firewall is added for the cluster. After cluster creation, the Kubelet creates routes for each node to allow the containers on that node to communicate with all other instances in the cluster.

Finally, an entry is added to the project's global metadata indicating which CIDR range the cluster is using.

Parameters
bodyThe body of the request.
parentThe parent (project and location) where the cluster will be created. Specified in the format 'projects/locations'.

◆ Delete()

virtual DeleteRequest Google.Apis.Container.v1.ProjectsResource.LocationsResource.ClustersResource.Delete ( string  name)
inlinevirtual

Deletes the cluster, including the Kubernetes endpoint and all worker nodes.

Firewalls and routes that were configured during cluster creation are also deleted.

Other Google Compute Engine resources that might be in use by the cluster, such as load balancer resources, are not deleted if they weren't present when the cluster was initially created.

Parameters
nameThe name (project, location, cluster) of the cluster to delete. Specified in the format 'projects/locations/clusters'.

◆ Get()

virtual GetRequest Google.Apis.Container.v1.ProjectsResource.LocationsResource.ClustersResource.Get ( string  name)
inlinevirtual

Gets the details of a specific cluster.

Parameters
nameThe name (project, location, cluster) of the cluster to retrieve. Specified in the format 'projects/locations/clusters'.

◆ GetJwks()

virtual GetJwksRequest Google.Apis.Container.v1.ProjectsResource.LocationsResource.ClustersResource.GetJwks ( string  parent)
inlinevirtual

Gets the public component of the cluster signing keys in JSON Web Key format. This API is not yet intended for general use, and is not available for all clusters.

Parameters
parentThe cluster (project, location, cluster id) to get keys for. Specified in the format 'projects/locations/clusters'.

◆ List()

virtual ListRequest Google.Apis.Container.v1.ProjectsResource.LocationsResource.ClustersResource.List ( string  parent)
inlinevirtual

Lists all clusters owned by a project in either the specified zone or all zones.

Parameters
parentThe parent (project and location) where the clusters will be listed. Specified in the format 'projects/locations'. Location "-" matches all zones and all regions.

◆ SetAddons()

virtual SetAddonsRequest Google.Apis.Container.v1.ProjectsResource.LocationsResource.ClustersResource.SetAddons ( Google.Apis.Container.v1.Data.SetAddonsConfigRequest  body,
string  name 
)
inlinevirtual

Sets the addons for a specific cluster.

Parameters
bodyThe body of the request.
nameThe name (project, location, cluster) of the cluster to set addons. Specified in the format 'projects/locations/clusters'.

◆ SetLegacyAbac()

virtual SetLegacyAbacRequest Google.Apis.Container.v1.ProjectsResource.LocationsResource.ClustersResource.SetLegacyAbac ( Google.Apis.Container.v1.Data.SetLegacyAbacRequest  body,
string  name 
)
inlinevirtual

Enables or disables the ABAC authorization mechanism on a cluster.

Parameters
bodyThe body of the request.
nameThe name (project, location, cluster id) of the cluster to set legacy abac. Specified in the format 'projects/locations/clusters'.

◆ SetLocations()

virtual SetLocationsRequest Google.Apis.Container.v1.ProjectsResource.LocationsResource.ClustersResource.SetLocations ( Google.Apis.Container.v1.Data.SetLocationsRequest  body,
string  name 
)
inlinevirtual

Sets the locations for a specific cluster. Deprecated. Use projects.locations.clusters.update instead.

Parameters
bodyThe body of the request.
nameThe name (project, location, cluster) of the cluster to set locations. Specified in the format 'projects/locations/clusters'.

◆ SetLogging()

virtual SetLoggingRequest Google.Apis.Container.v1.ProjectsResource.LocationsResource.ClustersResource.SetLogging ( Google.Apis.Container.v1.Data.SetLoggingServiceRequest  body,
string  name 
)
inlinevirtual

Sets the logging service for a specific cluster.

Parameters
bodyThe body of the request.
nameThe name (project, location, cluster) of the cluster to set logging. Specified in the format 'projects/locations/clusters'.

◆ SetMaintenancePolicy()

virtual SetMaintenancePolicyRequest Google.Apis.Container.v1.ProjectsResource.LocationsResource.ClustersResource.SetMaintenancePolicy ( Google.Apis.Container.v1.Data.SetMaintenancePolicyRequest  body,
string  name 
)
inlinevirtual

Sets the maintenance policy for a cluster.

Parameters
bodyThe body of the request.
nameThe name (project, location, cluster id) of the cluster to set maintenance policy. Specified in the format 'projects/locations/clusters'.

◆ SetMasterAuth()

virtual SetMasterAuthRequest Google.Apis.Container.v1.ProjectsResource.LocationsResource.ClustersResource.SetMasterAuth ( Google.Apis.Container.v1.Data.SetMasterAuthRequest  body,
string  name 
)
inlinevirtual

Sets master auth materials. Currently supports changing the admin password or a specific cluster, either via password generation or explicitly setting the password.

Parameters
bodyThe body of the request.
nameThe name (project, location, cluster) of the cluster to set auth. Specified in the format 'projects/locations/clusters'.

◆ SetMonitoring()

virtual SetMonitoringRequest Google.Apis.Container.v1.ProjectsResource.LocationsResource.ClustersResource.SetMonitoring ( Google.Apis.Container.v1.Data.SetMonitoringServiceRequest  body,
string  name 
)
inlinevirtual

Sets the monitoring service for a specific cluster.

Parameters
bodyThe body of the request.
nameThe name (project, location, cluster) of the cluster to set monitoring. Specified in the format 'projects/locations/clusters'.

◆ SetNetworkPolicy()

virtual SetNetworkPolicyRequest Google.Apis.Container.v1.ProjectsResource.LocationsResource.ClustersResource.SetNetworkPolicy ( Google.Apis.Container.v1.Data.SetNetworkPolicyRequest  body,
string  name 
)
inlinevirtual

Enables or disables Network Policy for a cluster.

Parameters
bodyThe body of the request.
nameThe name (project, location, cluster id) of the cluster to set networking policy. Specified in the format 'projects/locations/clusters'.

◆ SetResourceLabels()

virtual SetResourceLabelsRequest Google.Apis.Container.v1.ProjectsResource.LocationsResource.ClustersResource.SetResourceLabels ( Google.Apis.Container.v1.Data.SetLabelsRequest  body,
string  name 
)
inlinevirtual

Sets labels on a cluster.

Parameters
bodyThe body of the request.
nameThe name (project, location, cluster id) of the cluster to set labels. Specified in the format 'projects/locations/clusters'.

◆ StartIpRotation()

virtual StartIpRotationRequest Google.Apis.Container.v1.ProjectsResource.LocationsResource.ClustersResource.StartIpRotation ( Google.Apis.Container.v1.Data.StartIPRotationRequest  body,
string  name 
)
inlinevirtual

Starts master IP rotation.

Parameters
bodyThe body of the request.
nameThe name (project, location, cluster id) of the cluster to start IP rotation. Specified in the format 'projects/locations/clusters'.

◆ Update()

virtual UpdateRequest Google.Apis.Container.v1.ProjectsResource.LocationsResource.ClustersResource.Update ( Google.Apis.Container.v1.Data.UpdateClusterRequest  body,
string  name 
)
inlinevirtual

Updates the settings of a specific cluster.

Parameters
bodyThe body of the request.
nameThe name (project, location, cluster) of the cluster to update. Specified in the format 'projects/locations/clusters'.

◆ UpdateMaster()

virtual UpdateMasterRequest Google.Apis.Container.v1.ProjectsResource.LocationsResource.ClustersResource.UpdateMaster ( Google.Apis.Container.v1.Data.UpdateMasterRequest  body,
string  name 
)
inlinevirtual

Updates the master for a specific cluster.

Parameters
bodyThe body of the request.
nameThe name (project, location, cluster) of the cluster to update. Specified in the format 'projects/locations/clusters'.

Property Documentation

◆ NodePools

virtual NodePoolsResource Google.Apis.Container.v1.ProjectsResource.LocationsResource.ClustersResource.NodePools
get

Gets the NodePools resource.

◆ WellKnown

virtual WellKnownResource Google.Apis.Container.v1.ProjectsResource.LocationsResource.ClustersResource.WellKnown
get

Gets the WellKnown resource.


The documentation for this class was generated from the following file: